import request from '@/utils/request'

// 月产能对比统计:统计方式工序
export function getListByProcess(query) {
  return request({
    url: '/monthlyProductionReport/getListByProcess',
    method: "get",
    params: query
  });
}

// 月产能对比统计:统计方式用户
export function getListByUser(query) {
    return request({
      url: '/monthlyProductionReport/getListByUser',
      method: "get",
      params: query
    });
  }
  // 月产能对比统计:统计方式车间
export function getListByWorkshop(query) {
    return request({
      url: '/monthlyProductionReport/getListByWorkshop',
      method: "get",
      params: query
    });
  }

  // 月产能对比统计:统计方式工作中心
export function getListByWorkstation(query) {
    return request({
      url: '/monthlyProductionReport/getListByWorkstation',
      method: "get",
      params: query
    });
  }

    // 月产能对比统计:统计方式工作单元
export function getListByWorkunit(query) {
    return request({
      url: '/monthlyProductionReport/getListByWorkunit',
      method: "get",
      params: query
    });
  }
